Results 1 to 3 of 3

Thread: Digikam - bad updates

  1. #1
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Digikam - bad updates

    On my 13.1/KDE 4.12.0 system, I received two Digikam updates today (Jan 14, 2014) from the KDE 4.12 Extras repo.
    The first download, version 3.5.0-2.14 resulted in broken Digikam Editor - most menues are blank or missing key sub-menu items..
    Later in the day, received ver 3.5.0-2.15, which did not seem to fix anything.

    Not sure what is going on, but I reverted to Digikam 3.5.0-4.1 from the OSS repo and all seems back to normal, or should I limit that to the editor seems to be functioning again.

    Version of packages between the OSS and Upstream repos is really getting confusing.

    I don't know if I moved to a later build or an earlier build, but for the moment , it works better.

    YRMV
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  2. #2
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Re: Digikam - bad updates

    Upon further use of version 3.5.0-4.1, I find the resize tool (and others) missing from the main window.

    I have already asked for how-to-fix guidance on the Digikam forum.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  3. #3
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    974

    Default Re: Digikam - bad updates ** Resolved**

    It would appear that updated digikam packages built for KDE4.12.1 made it to the KDE upstream Extras repo before the KDE 4.12.1 load to the upstream repo.

    If I had started digikam from the CLI, I would have seen the errors stream by.

    Now that I am running KDE 4.12.1, digikam is all well again.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •